class SoftwareService
  include SoftwareResponseBuilder

  def index
    softwares = Software.includes(:releases, :external_links, :image).all
    { softwares: softwares.map { |sw| build_response(sw, sw.releases.to_a) } }
  end
end
